import jax


def multi_vmap(fn, shape, *args, **kwargs):
    if len(shape) == 1:
        return fn(*args, **kwargs)
    elif len(shape) == 2:
        return jax.vmap(fn)(*args, **kwargs)
    elif len(shape) == 3:
        return jax.vmap(jax.vmap(fn))(*args, **kwargs)
    elif len(shape) == 4:
        return jax.vmap(jax.vmap(jax.vmap(fn)))(*args, **kwargs)
    elif len(shape) == 5:
        return jax.vmap(jax.vmap(jax.vmap(jax.vmap(fn))))(*args, **kwargs)
    else:
        raise ValueError
