import os

import jax.numpy as jnp


def add_log(logs, log):
    for key, value in log.items():
        if key in logs.keys():
            logs[key].append(value)
        else:
            logs[key] = [value]
    return logs


def mean_logs(logs):
    for key, value in logs.items():
        logs[key] = jnp.mean(jnp.stack(value))
    return logs


def get_outputs_path(cfg):
    return os.path.join(cfg.meta.local_output_path, cfg.meta.group, cfg.meta.name)
