def get_offline_dataset(env, *args, **kwargs):

    if env.spec.entry_point is not None and env.spec.entry_point.split(".")[0] == "d4rl":
        from rlab_jax_projects.latent_actions.d4rl_datasets import get_offline_dataset
        return get_offline_dataset(env=env, *args, **kwargs)

    else:
        from rlab_jax_projects.latent_actions.vd4rl_datasets import get_offline_dataset
        return get_offline_dataset(env=env, *args, **kwargs)
